## gemdropx 0.7

=== Makefile ===
# makefile for gemdropx

# Gem Drop X

# by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/

# Atari version: August 17, 1997 - September 24, 1997
# X Window version: November 5, 1997 - November 21, 1997
# X Window Updates: July 29, 1998- March 28, 1999
# 100% SDL Version: December 27, 1999


DATA_PREFIX=data
SDL_CFLAGS := $(shell sdl-config --cflags)
SDL_LDFLAGS := $(shell sdl-config --libs)


MIXER=-lmixer
NOSOUNDFLAG=$(SOUND)SOUND
JOYFLAG=$(JOY)JOYSTICK


CFLAGS=-Wall $(SDL_CFLAGS) \
	-DDATA_PREFIX=\"$(DATA_PREFIX)\" -D$(NOSOUNDFLAG) -D$(JOYFLAG)
SDL_LIB=$(MIXER) $(SDL_LDFLAGS)


all:	gemdropx

nosound:
	make MIXER= NOSOUNDFLAG=NOSOUND JOY=$(JOY)

clean:
	-rm gemdropx
	-rm *.o


gemdropx:	gemdropx.o
	$(CC) $(CFLAGS) -o gemdropx gemdropx.o $(SDL_LIB)


gemdropx.o:	gemdropx.c

## gemdropx 0.9

=== Makefile ===
# makefile for gemdropx

# Gem Drop X

# by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/

# Atari version: August 17, 1997 - September 24, 1997
# X Window version: November 5, 1997 - November 21, 1997
# X Window Updates: July 29, 1998- March 28, 1999
# 100% SDL Version: December 27, 1999 - January 26, 2000
# Qt/Embedded Port: February 11, 2002 - February 12, 2002
# Added 'install' target (finally!): May 18, 2002


DATA_PREFIX=/usr/local/share/gemdropx
SDL_CFLAGS := $(shell sdl-config --cflags)
SDL_LDFLAGS := $(shell sdl-config --libs)
CC=gcc
CXX=gcc


MIXER=-lSDL_mixer
NOSOUNDFLAG=$(SOUND)SOUND
JOYFLAG=$(JOY)JOYSTICK
EMBEDDEDFLAG=NOT_EMBEDDED


CFLAGS=-Wall $(SDL_CFLAGS) \
	-DDATA_PREFIX=\"$(DATA_PREFIX)\" -D$(NOSOUNDFLAG) -D$(JOYFLAG) \
	-D$(EMBEDDEDFLAG) $(XTRA_FLAGS)
SDL_LIB=$(MIXER) $(SDL_LDFLAGS)
CQML_LIB=-L./cqml -lcqml -L/opt/Qtopia/lib -lqpe -lqte
#CQML_LIB=-L/opt/Qtopia/lib -lqpe -lqte
GFX_LIB=$(SDL_LIB)


all:	gemdropx

install:
	cp gemdropx /usr/local/bin/
	chmod 755 /usr/local/bin/gemdropx
	-mkdir -p $(DATA_PREFIX)
	chmod 755 $(DATA_PREFIX)
	cp -R data/* $(DATA_PREFIX)
	chmod -R a+rX $(DATA_PREFIX)/*

nosound:
	make MIXER= NOSOUNDFLAG=NOSOUND JOY=$(JOY)

#embedded:
#	cd cqml ; make
#	make MIXER= NOSOUNDFLAG=NOSOUND EMBEDDEDFLAG=EMBEDDED JOY=NO \
#		XTRA_FLAGS=-I/opt/Qtopia/include CC=g++ \
#		GFX_LIB="$(CQML_LIB)" SDL_CFLAGS=

clean:
	-rm gemdropx
	-rm *.o


gemdropx:	gemdropx.o
	$(CXX) $(CFLAGS) -o gemdropx gemdropx.o $(GFX_LIB) -lm


gemdropx.o:	gemdropx.c

=== debian/changelog ===
gemdropx (0.9-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Christian T. Steigies ]
  * Bump debhelper to 13
  * update Standards-Version to 4.6.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Fri, 06 Jan 2023 13:30:08 +0100

gemdropx (0.9-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #913927)

  [ Christian T. Steigies ]
  * updated Standards-Version to 4.2.1, drop menu file
  * add patch description
  * add Keywords to Desktop file
  * use DEB_CFLAGS and CPPFLAGS and enable all hardening options
  * update watch file

 -- Christian T. Steigies <cts@debian.org>  Sun, 25 Nov 2018 22:49:47 +0100

gemdropx (0.9-7) unstable; urgency=low

  * updated Standards-Version to 3.9.6
  * enable hardening with debhelper 9

 -- Christian T. Steigies <cts@debian.org>  Thu, 23 Oct 2014 22:55:09 +0200

gemdropx (0.9-6) unstable; urgency=low

  * repackage from scratch with dh
  * switch to debhelper 8
  * switch to dpkg-source 3.0 (quilt) format
  * updated Standards-Version to 3.9.2 (no changes)
  * copyright: refer to GPL-2 and include detailed information from AUTHORS
  * add ${misc:Depends} to dependencies
  * upgrade watch file to version 3 format

 -- Christian T. Steigies <cts@debian.org>  Mon, 05 Sep 2011 23:04:37 +0200

gemdropx (0.9-5) unstable; urgency=low

  * change menu section to Games/Block,
    if my crystal ball is correct this (closes: #307133)
  * use debian/compat and use compat version 5
  * add a desktop file
  * do not ignore make clean error
  * updated Standards-Version to 3.7.3

 -- Christian T. Steigies <cts@debian.org>  Fri, 14 Mar 2008 00:08:28 +0100

gemdropx (0.9-4) unstable; urgency=low

  * updated watch file
  * updated Standards-Version to 3.7.0 (no changes)
  * use current debhelper

 -- Christian T. Steigies <cts@debian.org>  Thu,  4 May 2006 06:47:37 +0000

gemdropx (0.9-3) unstable; urgency=low

  * patch from Bill to honor "SDL_QUIT" events (closes: #299431)
  * copyright is with the author

 -- Christian T. Steigies <cts@debian.org>  Sat, 19 Mar 2005 00:08:30 +0100

gemdropx (0.9-2) unstable; urgency=low

  * use TARGET and CURDIR in rules
  * data files go in /usr/share/games/gemdropx
  * dh_compat=4
  * dh_installman instead of dh_installmanpages
  * updated watch file (use ftp link instead of http)
  * install menu icon to /usr/share/pixmaps
  * updated Standards-Version to 3.6.1.0 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 15:42:20 +0100

gemdropx (0.9-1) unstable; urgency=low

  * recreated score and nosound patch from Zack
  * apply patch from Steve Kemp to fix buffer overflow (closes: #203244)

 -- Christian T. Steigies <cts@debian.org>  Mon, 28 Jul 2003 23:48:23 -0400

gemdropx (0.9-0) unstable; urgency=low

  * new upstream version
  * patch install rule in Makefile
  * need to re-add nosound patch

 -- Christian T. Steigies <cts@debian.org>  Mon, 17 Jun 2002 00:16:06 -0400

gemdropx (0.7-8) unstable; urgency=low

  * applied patch from Zack Weinberg <zack@codesourcery.com> which fixes:
    score problem, adds --nosound, better sound and joystick handling
    see source package for patch, thanks Zack! (closes: #115203)

 -- Christian T. Steigies <cts@debian.org>  Sun, 14 Oct 2001 00:48:12 -0400

gemdropx (0.7-7) unstable; urgency=low

  * Build-Depends on libsdl1.2-dev (>= 1.2.2-3.1),
    libsdl-mixer1.2-dev (>= 1.2.0-1.1) due to SDL overhaul

 -- Christian T. Steigies <cts@debian.org>  Wed, 10 Oct 2001 23:42:25 -0400

gemdropx (0.7-6) unstable; urgency=low

  * remove (unneeded) dh_suidregister from debian/rules
  * build with SDL1.2
  * update standards version
  * do not ship INSTALL.txt

 -- Christian T. Steigies <cts@debian.org>  Mon, 16 Jul 2001 18:36:48 -0400

gemdropx (0.7-5) unstable; urgency=low

  * correct the description (closes: #76075)

 -- Christian T. Steigies <cts@debian.org>  Sat,  4 Nov 2000 01:46:28 +0100

gemdropx (0.7-4) unstable; urgency=low

  * use libSDL-mixer for sound
  * place icon for the menu system in /usr/X11R6/include/X11/pixmaps/

 -- Christian T. Steigies <cts@debian.org>  Tue, 18 Jan 2000 23:30:21 +0100

gemdropx (0.7-3) unstable; urgency=low

  * README changed its name to README.txt, change the manpage accordingly
  * add a note to README.Debian that there might be a problem when using
    sawmill as the window manger (I could not reproduce this) closes: #54637

 -- Christian T. Steigies <cts@debian.org>  Fri, 14 Jan 2000 10:45:12 +0100

gemdropx (0.7-2) unstable; urgency=low

  * use libsdl1.0, compiles now also on m68k

 -- Christian T. Steigies <cts@debian.org>  Tue, 11 Jan 2000 18:43:45 +0100

gemdropx (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Christian T. Steigies <cts@debian.org>  Wed, 29 Dec 1999 01:03:27 +0100

=== debian/control ===
Source: gemdropx
Maintainer: Christian T. Steigies <cts@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsdl-mixer1.2-dev,
               libsdl1.2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/gemdropx
Vcs-Git: https://salsa.debian.org/debian/gemdropx.git
Homepage: http://www.newbreedsoftware.com/gemdropx

Package: gemdropx
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Gem Drop X is an interesting one-player puzzle game for X11
 The game is played with YOU at the bottom of the screen.  At the
 top is a random assortment of colored shapes ("gems").  As time
 goes on, more gems appear at the very top of the screen, pushing the
 rest downwards.  The game is over when the gems reach the bottom.
 .
 It's your job to keep the screen from filling up.  You do this by
 "grabbing" gems from the top of the screen, carrying them around,
 if need be, and "throwing" them back up.
 .
 If, when you throw some gems back up, you create a "match" of 3 or more
 gems in a vertical column, they disappear (with a cool little explosion).
 At this point, if there are any "matches" of the same gem to the left or
 right of this column, they disappear too!  And so on.  This is great for
 cool chain-reactions! You also get more points for the more gems that
 disappear in a match.  (Matching four gives as many points as matching
 three twice, for example.)

=== debian/watch ===
version=4
ftp://ftp.tuxpaint.org/unix/x/gemdropx/src/gemdropx-(.+)\.tar\.gz
debian uupdate
